public class Ldw2 {
    public static void removeNegatives(int[] L) {
        if (L == null || L.length == 0) {
            return;
        }

        int writeIndex = 0;
        for (int readIndex = 0; readIndex < L.length; readIndex++) {
            if (L[readIndex] >= 0) {
                L[writeIndex] = L[readIndex];
                writeIndex++;
            }
        }
        for (int i = writeIndex; i < L.length; i++) {
            L[i] = 0;
        }
    }

    public static void main(String[] args) {
        int[] L = {1, 2, -1, -2, 3, -3};
        removeNegatives(L);

        for (int num : L) {
            if (num != 0) System.out.print(num + " ");
        }
    }
}